C& TMPROF
      SUBROUTINE TMPROF(ZINT,AKH,J1,J2)
C$$$  
C     
C     INCLUDE/DECLARE PARAMETERS.
C     
      INCLUDE "parmeta"
      INCLUDE "parm.tbl"
C--------------------------------------------------------------------     
                            P A R A M E T E R
     & (CAPA=0.285896,ROG=287.04/9.8)
C--------------------------------------------------------------------     
                            P A R A M E T E R
     & (IM1=IM-1,JM2=JM-2,JAM=6+2*(JM-10)
     &, IMJM=IM*JM-JM/2
     &, LP1=LM+1,LM1=LM-1,LA=13
     &, LSCRCH=4*LM+1+LA +1,LB=2*IM+JM-3
     &, L1=LA+1,L2=LA+LM+1,L3=LA+LM+LP1+1,L4=LA+3*LM+1)
C--------------------------------------------------------------------     
C     
C     DECLARE VARIABLES.
C
C--------------------------------------------------------------------     
                            D I M E N S I O N
     & ZINT(IMJM,LP1), AKH(IMJM,LM1)
C--------------------------------------------------------------------     
C     
C     INCLUDE COMMON BLOCKS.
C
C--------------------------------------------------------------------     
      INCLUDE "LOOPS"
      INCLUDE "MASKS"
      INCLUDE "SCRCH"
      INCLUDE "VRBLS"
      INCLUDE "PVRBLS"
      INCLUDE "DYNAM"
      INCLUDE "PHYS1"
C
      COMMON/ETATM/ETADOT(IMJM,LM),ETAZ(IMJM,LP1),
     *             ETAKH(IMJM,LM1),ETAKHS(IMJM),
     *             ETAPR(IMJM),ETACPR(IMJM)
C
C--------------------------------------------------------------------     
C
      DO K=1,LP1
      DO J=1,IMJM
      ETAZ(J,K)=ZINT(J,K)
      ENDDO
      ENDDO
      
      DO K=1,LM1
      DO J=J1,J2
      ETAKH(J,K)=AKH(J,K)
      ENDDO
      ENDDO      
      
      DO J=1,IMJM
      ETAKHS(J)=AKHS(J)
      ETAPR(J)=PREC(J)
      ETACPR(J)=ACPREC(J)
      ENDDO

      CALL QANAL(66,'ACPREC EVERY STEP',ACPREC,IMJM)
            
      RETURN
      END
C& QANAL
      SUBROUTINE QANAL(NU,NAME,A,M)
      DIMENSION A(M)
      CHARACTER*(*) NAME
      S=0.
      DO J=1,M
      S=S+A(J)
      ENDDO
      SMEAN=S/FLOAT(M)
      CALL MINMAX(A,M,XMIN,XMAX)
      WRITE(NU,*)'/#',SMEAN,XMIN,XMAX,' ',NAME,' #/'
      RETURN
      END 
C& MINMAX
      SUBROUTINE MINMAX(X,N,XMIN,XMAX)
       DIMENSION X(N)
	A1=X(1)
	A2=X(1)
	MIN1=1
	MAX1=1
	DO1 J=1,N
	R=X(J)
	IF(R.GE.A1) GOTO10
       A1=R
	MIN1=J
 10	IF(R.LE.A2)GOTO1
	A2=R
	MAX1=J
  1   CONTINUE
	XMIN=A1
	XMAX=A2
      RETURN
      END       